import { EnumZodSchemaData, SchemaResolver } from "src/generators/core/SchemaResolver.class";
export declare function getZodSchemasFromOpenAPIDoc(resolver: SchemaResolver): {
    zodSchemas: Record<string, string>;
    enumZodSchemas: Record<string, string>;
};
export declare function getEnumZodSchemasFromOpenAPIDoc(resolver: SchemaResolver): EnumZodSchemaData[];
